# class Tk::Button

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

flash() click to toggle source

    # File lib/tk/button.rb, line 24
    def flash
      tk_send_without_enc('flash')
      self
    end

invoke() click to toggle source

def create_self(keys)

    if keys and keys != None
      tk_call_without_enc('button', @path, *hash_kv(keys, true))
    else
      tk_call_without_enc('button', @path)
    end

end private :create_self

    # File lib/tk/button.rb, line 21
    def invoke
      _fromUTF8(tk_send_without_enc('invoke'))
    end